# Created by pyp2rpm-3.3.10
%global pypi_name platformio
%global pypi_version 6.1.17

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Your Gateway to Embedded Software Development Excellence

License:        Apache Software License
URL:            https://platformio.org
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  (python3dist(ajsonrpc) >= 1.2 with python3dist(ajsonrpc) < 1.3)
BuildRequires:  (python3dist(bottle) >= 0.13 with python3dist(bottle) < 0.14)
BuildRequires:  (python3dist(chardet) >= 3.0.2 with python3dist(chardet) < 6~~)
BuildRequires:  (python3dist(click) >= 8.0.4 with python3dist(click) < 9~~)
BuildRequires:  python3dist(colorama)
BuildRequires:  (python3dist(marshmallow) >= 3 with python3dist(marshmallow) < 4)
BuildRequires:  (python3dist(pyelftools) >= 0.27 with python3dist(pyelftools) < 1~~)
BuildRequires:  (python3dist(pyserial) >= 3.5 with python3dist(pyserial) < 3.6)
BuildRequires:  (python3dist(requests) >= 2 with python3dist(requests) < 3)
BuildRequires:  (python3dist(semantic-version) >= 2.10 with python3dist(semantic-version) < 2.11)
BuildRequires:  python3dist(setuptools)
BuildRequires:  (python3dist(starlette) >= 0.19 with python3dist(starlette) < 0.46~~)
BuildRequires:  (python3dist(tabulate) >= 0 with python3dist(tabulate) < 1)
BuildRequires:  (python3dist(uvicorn) >= 0.16 with python3dist(uvicorn) < 0.35~~)
BuildRequires:  (python3dist(wsproto) >= 1 with python3dist(wsproto) < 2)

%description
PlatformIO Core .. image::

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       (python3dist(ajsonrpc) >= 1.2 with python3dist(ajsonrpc) < 1.3)
Requires:       (python3dist(bottle) >= 0.13 with python3dist(bottle) < 0.14)
Requires:       (python3dist(chardet) >= 3.0.2 with python3dist(chardet) < 6~~)
Requires:       (python3dist(click) >= 8.0.4 with python3dist(click) < 9~~)
Requires:       python3dist(colorama)
Requires:       (python3dist(marshmallow) >= 3 with python3dist(marshmallow) < 4)
Requires:       (python3dist(pyelftools) >= 0.27 with python3dist(pyelftools) < 1~~)
Requires:       (python3dist(pyserial) >= 3.5 with python3dist(pyserial) < 3.6)
Requires:       (python3dist(requests) >= 2 with python3dist(requests) < 3)
Requires:       (python3dist(semantic-version) >= 2.10 with python3dist(semantic-version) < 2.11)
Requires:       python3dist(setuptools)
Requires:       (python3dist(starlette) >= 0.19 with python3dist(starlette) < 0.46~~)
Requires:       (python3dist(tabulate) >= 0 with python3dist(tabulate) < 1)
Requires:       (python3dist(uvicorn) >= 0.16 with python3dist(uvicorn) < 0.35~~)
Requires:       (python3dist(wsproto) >= 1 with python3dist(wsproto) < 2)
%description -n python3-%{pypi_name}
PlatformIO Core .. image::


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/pio
%{_bindir}/piodebuggdb
%{_bindir}/platformio
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Feb 21 2025 mockbuilder - 6.1.17-1
- Initial package.